## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global commit 18ae234b6d4631f02d605bcdc898fc471591c965
%global date 20230819
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           rpmdistro-repoquery
Version:        0^%{date}git%{shortcommit}
Release:        %autorelease
Summary:        Tool to easily do repository queries for different distributions using DNF

License:        MIT
URL:            https://pagure.io/%{name}
Source:         %{url}/archive/%{commit}/%{name}-%{shortcommit}.tar.gz

BuildArch:      noarch

Requires:       distribution-gpg-keys
Requires:       dnf

%description
This tool utilizes DNF to let you query across several RPM-based Linux
distributions.

Currently, the tool supports the following distributions:

* Fedora
* Mageia
* openSUSE Leap
* openSUSE Tumbleweed
* CentOS (with EPEL)
* CentOS Stream (with EPEL and Hyperscale)
* Red Hat Enterprise Linux Universal Base Image (RHEL UBI)
* SUSE Linux Enterprise Base Container Image (SLE BCI)


%prep
%autosetup -p1 -n %{name}-%{shortcommit}


%build


%install
mkdir -p %{buildroot}%{_bindir}
install -p rpmdistro-repoquery %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_datadir}/%{name}
cp -pr distros %{buildroot}%{_datadir}/%{name}/


%files
%license LICENSE
%doc README.md
%{_bindir}/rpmdistro-repoquery
%{_datadir}/%{name}


%changelog
* Sun Aug 20 2023 Davide Cavalca <dcavalca@fedoraproject.org> - 0^20230819git18ae234-1
- Update to snapshot from 20230819

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0^20230612gitcf75cee-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Wed Jun 14 2023 Michel Alexandre Salim <salimma@fedoraproject.org> - 0^20230612gitcf75cee-1
- Update to snapshot from 20230612
- Add EPEL source repos
- Also refactor to deduplicate the repo files
- Add Amazon Linux configuration (2023+)
- Add CentOS extras repos

* Wed Feb 01 2023 Michel Alexandre Salim <salimma@fedoraproject.org> - 0^20230201gita79b3c3-1
- Repo definitions now split into individual files
- simplified usage; either pass the distro name or the path to the distro's
  repos
- rpmdistro-gendnfconf no longer needed for Mageia

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0^20230112git6b89e56-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Jan 12 2023 Michel Alexandre Salim <salimma@fedoraproject.org> - 0^20230112git6b89e56-1
- Switch Hyperscale source repos to the (corrected) metalinks

* Thu Jan 12 2023 Michel Alexandre Salim <salimma@fedoraproject.org> - 0^20230112gitae296f4-1
- Update to snapshot from 20230112
- adds Hyperscale repos for CentOS Stream legacy (8) and 9

* Thu Nov 10 2022 Michel Alexandre Salim <salimma@fedoraproject.org> - 0^20220419git2aff449-1
- Initial Fedora package
